#pragma once

#include "CoreMinimal.h"
#include "UniquelyIdentifiedAnalytic.h"
#include "CustomizationAuditAnalytics.generated.h"

USTRUCT(BlueprintType)
struct FCustomizationAuditAnalytics : public FUniquelyIdentifiedAnalytic
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool HasPassedAudit;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> MissingIds;

public:
	DBDANALYTICS_API FCustomizationAuditAnalytics();
};

FORCEINLINE uint32 GetTypeHash(const FCustomizationAuditAnalytics) { return 0; }
